# List Accounts in Group

<EndpointPage
  breadcrumbs={[
    { label: "REST APIs", href: "/rest-api/rest-api" },
    { label: "Common", href: "/rest-api/rest-api#common" },
    { label: "Admin", href: "/rest-api/common/admin" },
    { label: "List Accounts in Group" },
  ]}
  title="List Accounts in Group"
  method="POST"
  url="https://api.gemini.com/v1/account/list"
  description="A Master API key can be used to get the accounts within the group. A maximum of 500 accounts can be listed in a single API call."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/account/list",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/account/list",
        nonce: "<nonce>",
        limit_accounts: 100,
        timestamp: 1632485834721,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must be a Master level key. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>account:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listAccountsInGroup" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listAccountsInGroup" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listAccountsInGroup" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Get Account Detail", href: "/rest-api/common/admin/get-account-detail" }}
  next={{ label: "Rename Account", href: "/rest-api/common/admin/rename-account" }}
/>
